server:
  port: 8004
  servlet:
    context-path: /wxjy-data-service
spring:
  primary:
    datasource:
      driverClassName: dm.jdbc.driver.DmDriver
      jdbc-url: jdbc:dm://10.79.221.3:5237?SCHEMA=WXJYUSER
      username: ENC(yQdG3mnvM3SOZQ2Z7MHU4ZaK8Smii+tB)
      password: ENC(pBcZrw2N3AyrHbqY76N3DQLokxPTi6jJ)
#      jdbc-url: jdbc:dm://43.137.18.189:5326?SCHEMA=WXJY
#      username: WXJY
#      password: Dameng123

  iedg:
    datasource:
      driverClassName: oracle.jdbc.OracleDriver
      jdbc-url: jdbc:oracle:thin:@10.79.91.172:1521:orcl
      #      username: iedg
      #      password: iedg
      username: ENC(YMlfZujcstyOZ/QmfjvjEA==)
      password: ENC(YMlfZujcstyOZ/QmfjvjEA==)
  app:
    datasource:
      driverClassName: com.gbase.jdbc.Driver
      jdbc-url: jdbc:gbase://10.79.90.60:5258/g_whdb_h2000_app?profileSql=true
      ##      password: app_db_rj_wxp
      ##      username: app_db_rj_wxp
      password: ENC(d9iPMG8VHio9V94TVMu73MzAWXPFUqxk)
      username: ENC(d9iPMG8VHio9V94TVMu73MzAWXPFUqxk)
  h2018app:
    datasource:
      driverClassName: com.gbase.jdbc.Driver
      jdbc-url: jdbc:gbase://10.79.90.60:5258/g_whdb_h2018app?profileSql=true
      ##      password: app_db_rj_wxp
      ##      username: app_db_rj_wxp
      password: ENC(d9iPMG8VHio9V94TVMu73MzAWXPFUqxk)
      username: ENC(d9iPMG8VHio9V94TVMu73MzAWXPFUqxk)
  h2018:
    datasource:
      driverClassName: com.gbase.jdbc.Driver
      jdbc-url: jdbc:gbase://10.79.90.60:5258/g_whdb_h2018_3_0_recv?profileSql=true
      ##      password: app_db_rj_wxp
      ##      username: app_db_rj_wxp
      password: ENC(d9iPMG8VHio9V94TVMu73MzAWXPFUqxk)
      username: ENC(d9iPMG8VHio9V94TVMu73MzAWXPFUqxk)
  rh2k:
    datasource:
      driverClassName: com.gbase.jdbc.Driver
      jdbc-url: jdbc:gbase://10.79.90.60:5258/g_whdb_rh2k?profileSql=true
      ##      password: app_db_rj_wxp
      ##      username: app_db_rj_wxp
      password: ENC(d9iPMG8VHio9V94TVMu73MzAWXPFUqxk)
      username: ENC(d9iPMG8VHio9V94TVMu73MzAWXPFUqxk)
  inspect:
    datasource:
      driverClassName: com.gbase.jdbc.Driver
      jdbc-url: jdbc:gbase://10.79.90.60:5258/g_whdb_customs_inspection?profileSql=true
      ##      password: app_db_rj_wxp
      ##      username: app_db_rj_wxp
      password: ENC(d9iPMG8VHio9V94TVMu73MzAWXPFUqxk)
      username: ENC(d9iPMG8VHio9V94TVMu73MzAWXPFUqxk)
  zmqd:
    datasource:
      driverClassName: com.gbase.jdbc.Driver
      jdbc-url: jdbc:gbase://10.79.90.60:5258/g_whdb_zmqd?profileSql=true
      ##      password: app_db_rj_wxp
      ##      username: app_db_rj_wxp
      password: ENC(d9iPMG8VHio9V94TVMu73MzAWXPFUqxk)
      username: ENC(d9iPMG8VHio9V94TVMu73MzAWXPFUqxk)
  jackson:
    serialization:
      indent_output: true
  jpa:
    hibernate:
      ## 特别重要与spring.jpa.hibernate.ddl-auto=update适配,dm无法适配
      naming:
        physical-strategy: org.hibernate.boot.model.naming.PhysicalNamingStrategyStandardImpl
      ddl-auto: none
    properties:
      hibernate:
        dialect: org.hibernate.dialect.DmDialect
        show-sql: true
        ## 这里是告诉JPA要控制的是哪个模式，这个是默认创建的模式
        default_schema: WXJYUSER
        temp:
          # 禁用JDBC元数据检查
          use_jdbc_metadata_defaults: false
    database-platform: org.hibernate.dialect.DmDialect
    open-in-view: false

logging:
  file:
    name: timer.log
    path: 'wxjy-data-service/'
  pattern:
    file: '%d{yyyy/MM/dd-HH:mm} [%thread] %-5level %logger- %msg%n'
  level:
    root: ERROR

#加密秘钥
jasypt:
  encryptor:
    password: wxjy-data-service
    algorithm: PBEWithMD5AndDES
    iv-generator-classname: org.jasypt.iv.NoIvGenerator